# 🏡 Moderator Guidelines

These moderator guidelines detail expected conduct when moderating a community in one of the Programming.Dev ("programming.dev", "we", "us", "our") sites.

## 1. Respect the Code of Conduct

When moderating your community you may make specific rules and guidelines for people to follow. These should not override anything provided in the Code of Conduct or related guidelines linked within it.

## 2. Be Active

As a moderator of a community it is expected that you will be active on the site the community is on so that you may moderate properly. If you have been inactive (without a provided reason) for two weeks and are the primary mod in a community, other moderators may request the primary moderator position. We will attempt to reach out for a response for the next week and if none is provided the transfer to the new primary mod will be done. If all mods of a community have been inactive for two weeks and someone else has requested ownership of the community we will attempt to reach out for a response for the next week from the mod team and if none is provided the community will be transfered or the new user will be added onto the mod team.

## 3. Handle Reports

If a user reports content in your community that breaks community rules or the Code of Conduct it is expected that you will handle that and then after doing so mark the report as resolved to clear it from the queue.

## 4. Community Wiki

You may have a community wiki for your community on the https://wiki.programming.dev site if you wish to easily have documents of information for users to view. To have one need to make a pull request with the content you want to add to the source repository. The wiki must follow our Code of Conduct and you may be reached out to if another user wants to add changes to the wiki so that you may approve them.

## Do we Make Updates to these Moderator Guidelines?

We may update the Moderator Guidelines from time to time. When we do the date at the bottom of the page will change to indicate the date of the most recent changes. In addition, clicking on that date will bring you to the commit in the code repository that shows who edited it, and what was changed. If we make changes we may notify you by posting a notice of such changes in our meta community on the programming.dev site, in the updates account on the bytes.programming.dev site, in the news community in our discord server, and in the news community in our matrix server. We encourage you to review the Moderator Guidelines periodically for any modifications.

## Contact Us

If you have questions or concerns about these Moderator Guidelines you should contact us at info@programming.dev.
